ID CVE-2010-3900
Summary Midori before 0.2.5, when WebKitGTK+ before 1.1.14 or LibSoup before 2.29.91 is used, does not verify X.509 certificates, which allows man-in-the-middle attackers to spoof arbitrary https web sites via a crafted server certificate, a related issue to CVE-2010-3312.
References
Vulnerable Configurations
  • cpe:2.3:a:christian_dywan:midori:0.1.10:*:*:*:*:*:*:*
    cpe:2.3:a:christian_dywan:midori:0.1.10:*:*:*:*:*:*:*
  • cpe:2.3:a:christian_dywan:midori:0.2.0:*:*:*:*:*:*:*
    cpe:2.3:a:christian_dywan:midori:0.2.0:*:*:*:*:*:*:*
  • cpe:2.3:a:christian_dywan:midori:0.2.1:*:*:*:*:*:*:*
    cpe:2.3:a:christian_dywan:midori:0.2.1:*:*:*:*:*:*:*
  • cpe:2.3:a:christian_dywan:midori:0.2.2:*:*:*:*:*:*:*
    cpe:2.3:a:christian_dywan:midori:0.2.2:*:*:*:*:*:*:*
  • cpe:2.3:a:christian_dywan:midori:0.2.3:*:*:*:*:*:*:*
    cpe:2.3:a:christian_dywan:midori:0.2.3:*:*:*:*:*:*:*
  • cpe:2.3:a:christian_dywan:midori:*:*:*:*:*:*:*:*
    cpe:2.3:a:christian_dywan:midori:*:*:*:*:*:*:*:*
CVSS
Base: 5.8 (as of 17-02-2011 - 06:59)
Impact:
Exploitability:
CWE NVD-CWE-Other
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL NONE
cvss-vector via4 AV:N/AC:M/Au:N/C:P/I:P/A:N
refmap via4
confirm
misc
mlist [oss-security] 20100917 Re: CVE request: epiphany not checking ssl certs
secunia 43068
suse SUSE-SR:2011:002
vupen ADV-2011-0212
Last major update 17-02-2011 - 06:59
Published 14-10-2010 - 05:58
Back to Top